/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

/*
 * This header file has got all the functions relative to the calls.
 */

#ifndef _CALLS_H_
#define _CALLS_H_

#include <myericsson/command.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define CALL_BUFSIZE	256

/**
 * Answers and incoming call.
 *
 * @param device The FILE pointer associated to the device.
 * @param  response The  struct associated  with the  response from  the
 * mobile.
 */
void answerCall (FILE *device, response_t *response) ;

/**
 * Hangs up a call.
 *
 * @param device The FILE pointer associated to the device.
 * @param  response The  struct associated  with the  response from  the
 * mobile.
 */
void hangUp (FILE *device, response_t *response) ;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _CALLS_H_ */
