/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <unistd.h>
#include <string.h>

#include <myericsson/command.h>

void sendCommand (FILE *device, const char *command, response_t* response) {
	char buffer[256];
	response->data[0] = '\0';
	fprintf (device, "%s\r", command);
	
	/* let's read the echo */
	fgets (buffer, 256, device);
	printf("output: %s\n", buffer);
	
	while (1) {
		fgets (buffer, 256, device);
		
		if (strcasecmp ("OK\n", buffer) == 0) {
			response->status = OK;
			response->error = ENOERR;
			return;
		} else if (strcasecmp ("ERROR\n", buffer) == 0) {
			response->status = ERROR;
			response->error = EUNKNOWN;
			return;
		} else {
			strncat (response->data, buffer, BUFSIZE);
		}
	}
}
