/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _COMMANDS_H_
#define _COMMANDS_H_

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* The size of the buffer with the response of the phone */
#define BUFSIZE	2048

/* The status of the request */
#define	OK	0
#define	ERROR	1

/* The errors */
#define	ENOERR		0
#define	ENDOFFILE	1
#define ETOOLONG	2
#define	ERING		3
#define EUNKNOWN	255

typedef struct _response_t response_t;
	
struct _response_t {
	int status;
	int error;
	char data[BUFSIZE];
};

/**
 * Sends a generic command the the mobile.
 *
 * @param device The FILE pointer associated to the device.
 * @param command The commant that has tobe sent to the device.
 * @param response  A pointer  to the response  structure where  will be
 * stored the answer form del mobile.
 */
void sendCommand (FILE *device, const char *command, response_t* response) ;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _COMMANDS_H_ */
