/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*
 * General include file. It has got some useful definitions and includes
 * all the  other header  files, which contain  all the  other functions
 * divided into groups.
 */

#ifndef _GSM_H_
#define _GSM_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


/*
 * Here're all the other files, where're divided the functions.
 */
#include <myericsson/calls.h>
//#include <myericsson/pdu.h>
//#include <myericsson/phonebook.h>
//#include <myericsson/sms.h>
//#include <myericsson/sound.h>
#include <myericsson/status.h>
//#include <myericsson/time.h>
//#include <myericsson/wap.h>
#include <myericsson/command.h>

#include <stdio.h>

/**
 * Opens the specified port for connecting to the mobile phone.
 *
 * @param device A string with the device to open.
 * @return The  FILE pointer  associated to  the device.  It is  NULL on
 * failure.
 * @author Ottavio Campana
 */
FILE* openDevice(const char *device) ;

/**
 * Closes the connection to the mobile phone.
 *
 * @param device The FILE pointer associated to the device.
 * @author Ottavio Campana
 */
void closeDevice(FILE *device) ;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _GSM_H_ */
