/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <status.h>
#include <command.h>

void getManufactorerIdentification (FILE *device, response_t *response) {
	sendCommand (device, "AT+CGMI" , response) ;
	return;
}

void getModelIdentification (FILE *device, response_t *response) {
	sendCommand (device, "AT+CGMM" , response) ;
	return;
}

void getRevisionIdentification (FILE *device, response_t *response) {
	sendCommand (device, "AT+CGMR" , response) ;
	return;
}

void getSerialNumberIndentification (FILE *device, response_t *response) {
	sendCommand (device, "AT+CGSN" , response) ;
	return;
}

void batteryStatus (FILE *device, response_t *response) {
	int i;
	sendCommand (device, "AT+CBC" , response) ;
	for (i=0 ; i < BUFSIZE ; i++)
		if (response->data[i] == ',') {
			response->data[0] = response->data[i-2];
			response->data[1] = response->data[i-1];
			response->data[2] = '\0';
			return;
		}
	return;
}

void batteryCharge (FILE *device, response_t *response) {
	int i;
	sendCommand (device, "AT+CBC" , response) ;
	for (i=0 ; i < BUFSIZE ; i++)
		if (response->data[i] == ',') {
			response->data[0] = response->data[i+1];
			response->data[1] = response->data[i+2];
			response->data[2] = '\0';
			return;
		}
	return;
}

void getRecievedPower (FILE *device, response_t *response) {
	int i;
	sendCommand (device, "AT+CSQ" , response) ;
	for (i=0 ; i < BUFSIZE ; i++) 
		if (response->data[i] == ',') {
			response->data[0] = response->data[i-2];
			response->data[1] = response->data[i-1];
			response->data[2] = '\0';
			return;
		}
	return;
}

void getChannelBitErrorRate (FILE *device, response_t *response) {
	int i;
	sendCommand (device, "AT+CSQ" , response) ;
	for (i=0 ; i < BUFSIZE ; i++)
		if (response->data[i] == ',') {
			response->data[0] = response->data[i+1];
			response->data[1] = response->data[i+2];
			response->data[2] = '\0';
			return;
		}
	return;
}
